# Help for publish-to-ipfs.ps1 PowerShell Script

## Synopsis & Description
```powershell
publish-to-ipfs.ps1 [<file(s)/dir>] [<to-hash-list>]
```

Publishes the given files and folders to IPFS.

## Syntax & Parameters
```powershell
/home/mf/PowerShell/Scripts/publish-to-ipfs.ps1 [[-Files] <String>] [[-HashList] <String>] [[-DF_Hashes] <String>] [<CommonParameters>]
```

```
-Files <String>
    
    Required?                    false
    Position?                    1
    Default value                
    Accept pipeline input?       false
    Accept wildcard characters?  false
```

```
-HashList <String>
    
    Required?                    false
    Position?                    2
    Default value                IPFS_hashes.txt
    Accept pipeline input?       false
    Accept wildcard characters?  false
```

```
-DF_Hashes <String>
    
    Required?                    false
    Position?                    3
    Default value                file_checksums.xml
    Accept pipeline input?       false
    Accept wildcard characters?  false
```

```
[<CommonParameters>]
    This cmdlet supports the common parameters: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, 
    WarningVariable, OutBuffer, PipelineVariable, and OutVariable.
```

## Example
```powershell
PS>.\publish-to-ipfs.ps1 C:\MyFile.txt
```


## Notes
Author: Markus Fleschutz · License: CC0

## Related Links
https://github.com/fleschutz/PowerShell

*Generated from comment-based help of publish-to-ipfs.ps1 by convert-ps2md.ps1*
